#define my_draw_text
/// my_draw_text(px, py, text, align, index);
//
// @brief Draw text for align
// @argument0 baseX Base PositionX
// @argument1 baseY Base PositionY
// @argument2 text Drawing text
// @argument3 align Drawing align
//  "lt" : Left, Top
//  "lm" : Left, Middle
//  "lb" : Left, Bottom
//  "ct" : Center, Top
//  "cm" : Center, Middle
//  "cb" : Center, Bottom
//  "rt" : Right, Top
//  "rc" : Right, Center
//  "rb" : Right, Bottom
// @argument4 index Draw text index(-1: All)

// Get arguments.
var baseX = argument0;
var baseY = argument1;
var text  = argument2;
var align = argument3;
var index = round(argument4);

// text index.
var length = string_length(text);
var drawtext = text;
if(index >= 0)
{
  var drawtext = string_copy(text, 1, index);
}

// position adjust.
var px = baseX;
var py = baseY;
var w = string_width(drawtext);
var h = string_height(drawtext);

if(string_pos("l", align)) {}
if(string_pos("c", align)) { px -= w/2; }
if(string_pos("r", align)) { px -= w; }
if(string_pos("t", align)) {}
if(string_pos("m", align)) { py -= h/2; }
if(string_pos("b", align)) { py -= h; }

draw_text(px, py, drawtext);


